hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Purtell (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-10582) 0.94->0.96 Upgrade: ACL can't be repopulated when ACL table contains row for table '-ROOT' or '.META.'
Date Fri, 21 Feb 2014 01:30:19 GMT

    [ https://issues.apache.org/jira/browse/HBASE-10582?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13907840#comment-13907840
] 

Andrew Purtell commented on HBASE-10582:
----------------------------------------

Yes I don't think we should allow people to downgrade access protections on system tables
(or if that would even work). 

> 0.94->0.96 Upgrade: ACL can't be repopulated when ACL table contains row for table
'-ROOT' or '.META.'
> ------------------------------------------------------------------------------------------------------
>
>                 Key: HBASE-10582
>                 URL: https://issues.apache.org/jira/browse/HBASE-10582
>             Project: HBase
>          Issue Type: Bug
>    Affects Versions: 0.98.0, 0.96.0, 0.96.1
>            Reporter: Jeffrey Zhong
>            Assignee: Jeffrey Zhong
>            Priority: Critical
>
> When '-ROOT-', '.META' rows are contained in ACL table, during upgrade process, ACL zk
nodes can't be populated to zookeeper because AccessControlLists#loadAll(HRegion) fails to
load table permissions due to 
> parsePermissionRecord throws IllegalArgumentException from TableName.valueof.



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message